Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.urls
Class URLUtilities

    java.lang.Object
      org.jfree.chart.urls.URLUtilities

    public class URLUtilities

extends java.lang.Object

General utility methods for URLs.

Since:
  1.0.6

Constructor Summary
`URLUtilities()`

Method Summary
`static java.lang.String` | `encode(java.lang.String s, java.lang.String encoding)` Calls `java.net.URLEncoder.encode(String, String)` via reflection, if we are running on JRE 1.4 or later, otherwise reverts to the deprecated `URLEncoder.encode(String)` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLUtilities

    public URLUtilities()

Method Detail

### encode

    public static java.lang.String encode(java.lang.String s,
                                          java.lang.String encoding)

  Calls `java.net.URLEncoder.encode(String, String)` via reflection, if we are running on JRE 1.4 or later, otherwise reverts to the deprecated `URLEncoder.encode(String)` method.

  Parameters:
    `s` - the string to encode.
    `encoding` - the encoding.
  Returns:
    The encoded string.
  Since:
    1.0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.